## knetwalk 18.04.1

=== debian/changelog ===
knetwalk (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 May 2018 02:30:38 +0200

knetwalk (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 20:56:36 +0100

knetwalk (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update uploaders list as requested by MIA team (Closes: #879356)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove unused build dependencies: libkf5guiaddons-dev,
    libkf5iconthemes-dev, libkf5itemviews-dev, libkf5kdelibs4support-dev,
    libkf5kio-dev, libkf5notifyconfig-dev, and libqt5svg5-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Nov 2017 16:35:06 +0100

knetwalk (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:50 +0000

knetwalk (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:38:02 +0000

knetwalk (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:43 +0000

knetwalk (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:45 +0000

knetwalk (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:20:18 +0000

knetwalk (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:00 +0000

knetwalk (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:14 +0000

knetwalk (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:00:31 +0000

knetwalk (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:22:29 +0000

knetwalk (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:29:16 +0000

knetwalk (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:49 +0000

knetwalk (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:31 +0000

knetwalk (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:29 +0000

knetwalk (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:36 +0000

knetwalk (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:47 +0000

knetwalk (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Jul 2016 16:11:33 +0000

=== debian/control ===
Source: knetwalk
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5textwidgets-dev (>= 5.30.0~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knetwalk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knetwalk.git

Package: knetwalk
Architecture: any
Depends: qml-module-org-kde-games-core,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: wire puzzle game
 KNetwalk is a puzzle game where the player arranges sections of wire to
 connect all the computers on the board.
 .
 This package is part of the KDE games module.

## knetwalk 18.04.3

=== debian/changelog ===
knetwalk (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:19:26 +0100

=== debian/control ===
Source: knetwalk
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kdegames-dev (>= 4:18.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk

Package: knetwalk
Architecture: any
Depends: kde-games-core-declarative,
         qml-module-org-kde-games-core,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: wire puzzle game
 KNetwalk is a puzzle game where the player arranges sections of wire to
 connect all the computers on the board.
 .
 This package is part of the KDE games module.

## knetwalk 18.12.3

=== debian/changelog ===
knetwalk (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:30:41 +0000

knetwalk (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:17:55 +0000

knetwalk (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:16 +0000

knetwalk (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:35 +0000

knetwalk (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 28 Dec 2018 06:56:25 +0000

=== debian/control ===
Source: knetwalk
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4:18.12.3~),
               libkf5textwidgets-dev (>= 5.30.0~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk

Package: knetwalk
Architecture: any
Depends: qml-module-org-kde-games-core,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: wire puzzle game
 KNetwalk is a puzzle game where the player arranges sections of wire to
 connect all the computers on the board.
 .
 This package is part of the KDE games module.

## knetwalk 19.04.3

=== debian/changelog ===
knetwalk (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:16:19 +0100

knetwalk (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:08:58 +0100

knetwalk (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:00:03 +0100

knetwalk (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:45:37 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5textwidgets-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),

## knetwalk 19.12.3

=== src/CMakeLists.txt ===
add_subdirectory(pics)
add_subdirectory(sounds)


########### next target ###############

set(knetwalk_SRCS 
    main.cpp
    gameview.cpp
    mainwindow.cpp
    abstractgrid.cpp
)

qt5_add_resources(knetwalk_SRCS knetwalk.qrc)
ki18n_wrap_ui( knetwalk_SRCS general.ui customgame.ui)

kconfig_add_kcfg_files(knetwalk_SRCS settings.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/*-apps-knetwalk.png")
ecm_add_app_icon(knetwalk_SRCS ICONS ${ICONS_SRCS})
add_executable(knetwalk ${knetwalk_SRCS})

target_link_libraries(knetwalk
    KF5::Crash
    KF5::DBusAddons
    KF5::TextWidgets
    KF5::XmlGui
    KF5KDEGames
)

install(TARGETS knetwalk  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(DIRECTORY qml DESTINATION ${KDE_INSTALL_DATADIR}/knetwalk)
install(PROGRAMS org.kde.knetwalk.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.knetwalk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
knetwalk (4:19.12.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Bumped apps build depends.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 22:24:23 +0000

knetwalk (4:19.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - explicitly add gettext
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - manually force the generation of the substvars for the kde-l10n breaks
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the man page, as it terribly outdated.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Enable the execution of unit tests at build time, as they seem to work
    fine.

 -- Pino Toscano <pino@debian.org>  Tue, 10 Mar 2020 22:37:22 +0100

knetwalk (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:12:05 +0000

knetwalk (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.
  * Skip building for tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:22:09 +0000

knetwalk (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:56:18 +0000

knetwalk (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:49:58 +0000

knetwalk (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:34:38 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.30.0~),
+               gettext,
                libkf5config-dev (>= 5.30.0~),
                libkf5configwidgets-dev (>= 5.30.0~),
                libkf5coreaddons-dev (>= 5.30.0~),
@@ -19,14 +20,14 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.04.3~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
                libkf5textwidgets-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
                qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk

## knetwalk 20.08.1

=== debian/changelog ===
knetwalk (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:56:23 +0100

knetwalk (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:49:00 +0100

knetwalk (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Mon, 03 Aug 2020 08:33:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.30.0~),
                gettext,
                libkf5config-dev (>= 5.30.0~),
@@ -20,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
                libkf5textwidgets-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
@@ -28,9 +28,10 @@
                qtbase5-dev (>= 5.7.0~),
                qtdeclarative5-dev (>= 5.7.0~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knetwalk
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knetwalk.git
 
 Package: knetwalk
 Architecture: any

## knetwalk 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

project(knetwalk VERSION "3.3.${RELEASE_SERVICE_COMPACT_VERSION}")

set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    TextWidgets
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

find_package(Qt5Test ${QT_MIN_VERSION} QUIET)
set_package_properties(Qt5Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL)
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(ECMSetupVersion)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)

add_definitions(
    -DQT_USE_FAST_CONCATENATION
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_QSTRINGBUILDER
)

add_subdirectory(src)
add_subdirectory(themes)
add_subdirectory(doc)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/pics/CMakeLists.txt ===
########### install files ###############

ecm_install_icons(ICONS 128-apps-knetwalk.png  16-apps-knetwalk.png  22-apps-knetwalk.png  32-apps-knetwalk.png  48-apps-knetwalk.png  64-apps-knetwalk.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor   )

=== debian/changelog ===
knetwalk (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 09:25:34 +0100

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,14 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
+               libkf5kdegames-dev (>= 4.9.0~),
                libkf5textwidgets-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
                qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knetwalk

## knetwalk 20.12.3

=== debian/changelog ===
knetwalk (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:23:10 +0000

knetwalk (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:56:50 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.12.3~),
                libkf5textwidgets-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),

## knetwalk 21.08.0

=== debian/changelog ===
knetwalk (4:21.08.0-1deepin1) unstable; urgency=medium

  * fix: adapt to newer KF5KDEGames version

 -- sisungo <sisungo@icloud.com>  Fri, 7 Nov 2025 16:59:23 +0800

knetwalk (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:19:38 +0900

knetwalk (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:33:57 +0900

=== debian/control ===
Source: knetwalk
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5crash-dev (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5textwidgets-dev (>= 5.83.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knetwalk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knetwalk.git

Package: knetwalk
Architecture: any
Depends: qml-module-org-kde-games-core,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: wire puzzle game
 KNetwalk is a puzzle game where the player arranges sections of wire to
 connect all the computers on the board.
 .
 This package is part of the KDE games module.

## knetwalk 21.08.1

=== debian/changelog ===
knetwalk (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:36:01 +0100

knetwalk (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:05:01 +0100

knetwalk (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:58:42 +0100

knetwalk (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:35:42 +0100

knetwalk (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:46:08 +0100

knetwalk (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:42:54 +0100

knetwalk (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:09:29 +0100

knetwalk (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:39:32 +0100

=== debian/control ===
Source: knetwalk
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.30.0~),
               gettext,
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4:21.08.1~),
               libkf5textwidgets-dev (>= 5.30.0~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knetwalk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knetwalk.git

Package: knetwalk
Architecture: any
Depends: qml-module-org-kde-games-core,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: wire puzzle game
 KNetwalk is a puzzle game where the player arranges sections of wire to
 connect all the computers on the board.
 .
 This package is part of the KDE games module.

## knetwalk 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(knetwalk VERSION "3.3.${RELEASE_SERVICE_COMPACT_VERSION}")
 
-set (QT_MIN_VERSION "5.7.0")
-set (KF5_MIN_VERSION "5.30.0")
+set (QT_MIN_VERSION "5.15.0")
+set (KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,11 @@
     gameview.cpp
     mainwindow.cpp
     abstractgrid.cpp
+    knetwalk.qrc
 )
 
-qt5_add_resources(knetwalk_SRCS knetwalk.qrc)
+ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KNETWALK VERSION_HEADER knetwalk_version.h)
+
 ki18n_wrap_ui( knetwalk_SRCS general.ui customgame.ui)
 
 kconfig_add_kcfg_files(knetwalk_SRCS settings.kcfgc)

=== themes/CMakeLists.txt ===
install( FILES default.svgz default.desktop default_preview.png
         electronic.svgz electronic.desktop electronic_preview.png
         DESTINATION  ${KDE_INSTALL_DATADIR}/knetwalk/themes )

=== debian/changelog ===
knetwalk (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:13:23 +0000

knetwalk (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:19:59 +0000

knetwalk (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:27:50 +0000

knetwalk (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:24:59 +0000

knetwalk (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:09:34 +0000

knetwalk (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:20:11 +0000

knetwalk (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:28:00 +0000

knetwalk (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:42:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: knetwalk
 Section: games
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -20,7 +21,7 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kdegames-dev (>= 4:21.12.3~),
                libkf5textwidgets-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
@@ -30,8 +31,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knetwalk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knetwalk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk
 
 Package: knetwalk
 Architecture: any

## knetwalk 22.08.1

=== debian/changelog ===
knetwalk (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:42:52 +0100

knetwalk (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:52:26 +0100

knetwalk (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:30:04 +0100

knetwalk (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:04:22 +0100

knetwalk (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:03:14 +0100

knetwalk (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:50:46 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5textwidgets-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),

## knetwalk 22.12.0

=== debian/changelog ===
knetwalk (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:36 +0100

=== debian/control ===
Source: knetwalk
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kdegames-dev (>= 4:7.3.1~),
               libkf5textwidgets-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knetwalk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knetwalk.git

Package: knetwalk
Architecture: any
Depends: qml-module-org-kde-games-core,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: wire puzzle game
 KNetwalk is a puzzle game where the player arranges sections of wire to
 connect all the computers on the board.
 .
 This package is part of the KDE games module.

## knetwalk 22.12.1

=== debian/changelog ===
knetwalk (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:05:04 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knetwalk

## knetwalk 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

project(knetwalk VERSION "3.3.${RELEASE_SERVICE_COMPACT_VERSION}")

set (QT_MIN_VERSION "5.15.2")
set (KF5_MIN_VERSION "5.91.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMDeprecationSettings)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS
    Widgets
    Qml
    Quick
    QuickWidgets
    Test
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    TextWidgets
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 7.3.1 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.91
    KDEGAMES 7.4
)

add_subdirectory(src)
add_subdirectory(themes)
add_subdirectory(doc)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

add_executable( abstractgridtest abstractgridtest.cpp ../src/abstractgrid.cpp )
add_test(NAME abstractgridtest COMMAND abstractgridtest)
ecm_mark_as_test(abstractgridtest)
target_link_libraries( abstractgridtest Qt::Gui Qt::Test KF5::XmlGui)

=== src/CMakeLists.txt ===
add_subdirectory(pics)
add_subdirectory(sounds)

add_executable(knetwalk)

target_sources(knetwalk PRIVATE
    abstractgrid.cpp
    abstractgrid.h
    gameview.cpp
    gameview.h
    globals.h
    main.cpp
    mainwindow.cpp
    mainwindow.h

    knetwalk.qrc
)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KNETWALK VERSION_HEADER knetwalk_version.h)

ki18n_wrap_ui(knetwalk general.ui customgame.ui)

kconfig_add_kcfg_files(knetwalk settings.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/*-apps-knetwalk.png")
ecm_add_app_icon(knetwalk ICONS ${ICONS_SRCS})

target_link_libraries(knetwalk
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::TextWidgets
    KF5::XmlGui
    KF5KDEGames
)

install(TARGETS knetwalk  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(DIRECTORY qml DESTINATION ${KDE_INSTALL_DATADIR}/knetwalk)
install(PROGRAMS org.kde.knetwalk.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.knetwalk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/sounds/CMakeLists.txt ===

install( FILES click.wav connect.wav start.wav turn.wav win.wav  DESTINATION  ${KDE_INSTALL_DATADIR}/knetwalk/sounds )

=== debian/changelog ===
knetwalk (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:19 +0100

=== debian/control ===
--- 
+++ 
@@ -37,9 +37,9 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: khelpcenter
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+Recommends: khelpcenter,
+Breaks: ${kde-l10n:all},
+Replaces: ${kde-l10n:all},
 Description: wire puzzle game
  KNetwalk is a puzzle game where the player arranges sections of wire to
  connect all the computers on the board.

## knetwalk 23.08.0

=== debian/changelog ===
knetwalk (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:56:52 +0100

knetwalk (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:36:31 +0100

knetwalk (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:50:31 +0100

knetwalk (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:58:45 +0100

knetwalk (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:40:41 +0000

knetwalk (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:20:53 -0600

knetwalk (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:16:51 +0000

knetwalk (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kdegames-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 18:37:38 +0000

knetwalk (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:12:08 +0000

knetwalk (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:08:26 +0000

knetwalk (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:52:17 +0000

knetwalk (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:11:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: knetwalk
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -18,18 +19,18 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:7.3.1~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5textwidgets-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knetwalk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knetwalk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knetwalk
 
 Package: knetwalk
 Architecture: any
@@ -37,9 +38,9 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: khelpcenter,
-Breaks: ${kde-l10n:all},
-Replaces: ${kde-l10n:all},
+Recommends: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: wire puzzle game
  KNetwalk is a puzzle game where the player arranges sections of wire to
  connect all the computers on the board.

## knetwalk 23.08.1

=== debian/changelog ===
knetwalk (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:01:55 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5textwidgets-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),

## knetwalk 23.08.4

=== debian/changelog ===
knetwalk (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:18:02 +0000

knetwalk (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:38:02 +0000

knetwalk (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:33:59 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5textwidgets-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
